
import React, { Component } from 'react';
import BlockInp from '@containers/BlockInpContainer';
import { connect } from "react-redux";

class MarriageHistory extends Component {
  constructor(props) {
    super(props)
  }
  render() {
    const { value, isRead } = this.props;
    return <BlockInp title='婚育史' boxMark='16' value={value} isRead={isRead}></BlockInp>;
  }
}

function mapStateToProps(state) {
  const { marriageHistory } = state;
  return {
    value: marriageHistory && marriageHistory.saveText[0],
  }
}
function mapDispatchToProps(dispatch, store) {
  return {
  }
}

const MarriageHistoryCont = connect(
  mapStateToProps,
  mapDispatchToProps
)(MarriageHistory);

export default MarriageHistoryCont;